Page MenuHomePhabricator

Change explanatory text to account for multiple edits
Closed, ResolvedPublic

Description

Motivation
Currently, it is not visible to the user that multiple users had edited the page when the conflict appeared. This is especially bad, when someone trolled and it now looks like the last person did everything.

Task
Show users when multiple edits have happened. This means:
For the left column:
Change the explanatory text as described in the comment below ([T162144#3193188]). Only, instead of writing "changed by X editors", please write: "changed x times" to account for one person editing multiple times.

For the right column (text editor):
Use the following text (which exludes the edit summary line)

Initially, the editor's content is the currently published version.
Add your changes to the text in the editor and click on "Publish changes".

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 4 2017, 1:48 PM
WMDE-Fisch moved this task from Proposed to Todo on the WMDE-QWERTY-Team board.Apr 11 2017, 3:40 PM
WMDE-Fisch moved this task from Todo to Proposed on the WMDE-QWERTY-Team board.Apr 11 2017, 3:52 PM
Lea_WMDE changed the task status from Open to Stalled.Apr 12 2017, 2:49 PM

The current suggestion is showing this for a single conflict:


If there are multiple editors it would be

Lea_WMDE changed the task status from Stalled to Open.Apr 21 2017, 3:40 PM
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE updated the task description. (Show Details)Apr 21 2017, 3:44 PM
Lea_WMDE renamed this task from Handle multiple edits in edit conflict gracefully to Show multiple edits in explanatory text.Apr 21 2017, 4:00 PM
Lea_WMDE triaged this task as Normal priority.
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE renamed this task from Show multiple edits in explanatory text to Change explanatory text to account for multiple edits.Apr 25 2017, 10:59 AM
Tobi_WMDE_SW moved this task from Proposed to Todo on the WMDE-QWERTY-Team board.Apr 25 2017, 3:37 PM
WMDE-Fisch moved this task from Todo to Sprint ready on the WMDE-QWERTY-Team board.

Change 350547 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/TwoColConflict@master] Change explanatory text and account for multiple edits

https://gerrit.wikimedia.org/r/350547

So in the current version of the patch the spacing between the list items seems to be rather large in comparison to the mock above.

@Jan_Dittrich I'll merge it as it is but if you feel the spacing needs adjustment let us know!

Change 350547 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Change explanatory text and account for multiple edits

https://gerrit.wikimedia.org/r/350547

Addshore closed this task as Resolved.May 11 2017, 8:51 AM
Tobi_WMDE_SW moved this task from Done to Demoed on the WMDE-QWERTY-Team board.Jun 6 2017, 3:08 PM
Restricted Application added a project: TCB-Team. · View Herald TranscriptJun 6 2017, 3:08 PM